[R6RS] Backward compatibility

R. Kent Dybvig dyb
Tue Jan 20 20:05:23 EST 2004

> My position is that R6RS need not be backward compatible.  There are a
> few things that I consider "broken" in R5RS and fixing these things
> will break backward compatibility.  Of course we should limit the
> extent of these backward incompatibilities so that in practice there
> are few R5RS programs that don't work, and only small changes are
> required to get them to work in an R6RS system.

I agree.  We should avoid incompatible changes we don't feel matter much
but otherwise feel free to improve the language as we see fit.

More information about the R6RS mailing list